--势力场景
--势力防守戰說明

--脚本号
x105006_g_scriptId=105006

--事件交互入口
function x105006_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]需要聽一聽防守戰的說明嗎？[-]")
	AddNumText(scene,x105006_g_scriptId,"防守戰說明",-1,1)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项

function x105006_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	
	if index==1 then
		BeginEvent(scene)
		AddText(scene,"玩法說明：\n1. 傳說每周日中午12:30就會有大批的妖魔攻打勢力駐地，屆時需要召集大量的勢力人手守護勢力。\n2.前來攻打的妖魔分為6波，每波妖魔分為3次刷出，要時刻註意進攻的提示哦。\n3. 每波妖魔進攻時，除了要註意每波刷出的首領外(第一波沒有首領），還要註意在後方空降的精英（第二波沒有空降精英），空降精英怪需要不同的屬性攻擊進行快速的消滅，時刻註意提示。\n4.戰鬥時請時刻註意後方大旗的血量，一旦血量降到0時，勢力防守戰將會失敗")
		AddNumText(scene,x105006_g_scriptId,"我明白了",-1,2)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 2 then
		BeginEvent(scene)
		AddText(scene,"還有什麽需要了解的嗎？")
		AddNumText(scene,x105006_g_scriptId,"防守戰說明",-1,1)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	end
end